#ifndef __MMKEYS_H__

#include "IMMKeys.h"
#include <nsStringGlue.h>
#include <list>
#include <X11/Xlib.h>
#include <X11/keysym.h>
#include <X11/Xutil.h>

#define MMKEYS_CONTRACTID "@danielparnell.com/Songbird/MMKeys;1"
#define MMKEYS_CLASSNAME "Multimedia keys plugin"
#define MMKEYS_CID {0xd2586a24, 0xc8b7, 0x4785, {0x80, 0x61, 0x95, 0xc2, 0xa8, 0xca, 0xf6, 0x0b}}

class MMKeyEntry
{
public:
  KeySym m_keysym;
  nsString m_key;
  IMMKeyCallback* m_callback;
};

class MMKeys : public IMMKeys
{
public:
  NS_DECL_ISUPPORTS
  NS_DECL_IMMKEYS

  MMKeys();

private:
  ~MMKeys();

protected:
/* additional members */
};


#endif

